Android Студия не найти com.android.support:support-v4:19.1.0

? Mazzy @ | Original: StackOverFlow
---

Я импортировали один проект в Android Studio, но я получил сообщение об ошибке:

Не удалось найти com.android.support:support-v4:19.1.0 .

Где я могу найти этот файл ? Я импортировал проект, используя Gradle .

У меня есть Android Studio version 0.5.7 последний Android SDK и java 1.7u55 .

---

Top 5 ответ

1CurlyPaul @

У меня была эта же проблема с утра. Я нашел файл Jar, что мне нужно в /<MySdkFolder>/extras/android/support/ - там некоторые вложенных папок с разными библиотеками поддержки в них, такпоследняя часть пути зависит от того, какой тот, который вы хотите использовать.

Я просто скопировал это в Lib папки проекта. Я уверен, что естьболее техническое решение, но он работал на меня .

2kudzmi @

Просто добавьте этот код к вам build.gradle файл

dependencies {
    compile 'com.android.support:support-v4:19.+'
}

и пресс- Tools - > Android - > Проект Синхронизация с Gradle файлов

Gradle будет загрузить необходимые файлы самостоятельно

3ffddani @

Это не работает для меня тоже . Он работает с 19.0.1 Но если (я использую Gradle ) Я делаю это в моем build.gradle :

repositories {
    def androidHome = System.getenv("ANDROID_HOME")
    mavenCentral()
    maven {
        url "$androidHome/extras/android/m2repository/"
    }
}

Он находит артефакт.

4xXJJJasonMokXx @

Щелчок правой кнопкой мыши на библиотеке и выберите импорт как вариант библиотеки из контекстного меню работает для меня.

5nenick @

После теория работает на меня :

Android Студия имеет проблемы импортеры опорно- v4 : . 19,1 + библиотека, когда речь заходит через переходной зависимости.

Решение Добавление поддержки -V4 как собственный зависимости и исключить этой библиотеки, где она приходит, переходный . то я не мог больше видеть эту проблему импорта